use ExtUtils::MakeMaker;
use Config;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

print "Trying to find some configuration information...\n";
my $kde_inc = "@kde_includes@";
my $kde_lib = "@kde_libraries@";
my $qt_inc = "@qt_includes@";
my $qt_lib = "@qt_libraries@";
 
WriteMakefile(
    NAME	=> 'DCOP',
    VERSION_FROM => '@srcdir@/DCOP.pm',
    INC		=> "-I$qt_inc -I$kde_inc",
    LIBS	=> "-L$qt_lib -lqt-mt -L$kde_lib -lkdecore -lDCOP",
    XS		=> {'DCOP.xs' => 'DCOP.cpp'},
    XSOPT	=> '-C++',
    CCFLAGS	=> '-x c++',
);

sub MY::xs_c {
    package MY;
    my $hack = shift->SUPER::xs_c(@_);
    $hack =~ s/\.c/.cpp/g;
    $hack;
}

